import { Fragmenter } from "./fragments";
import { ContentBlock } from "draft-js";
export interface MultiHighlightStyle {
    [key: string]: string | number;
}
export interface MultiHighlightStyles {
    [key: string]: MultiHighlightStyle;
}
export interface MultiHighlightRule {
    content: string[];
    contentCopy?: string[];
    style: string;
    matcher: Function;
    consumeContent?: boolean;
}
export interface MultiHighlightConfig {
    rules: MultiHighlightRule[];
    styles: MultiHighlightStyles;
}
export declare function WordMatcher(fragmenter: Fragmenter, items: string[], style: string, contentBlock: ContentBlock, consumeContent?: boolean): number[];
export declare function SentenceMatcher(fragmenter: Fragmenter, items: string[], style: string, contentBlock: ContentBlock, consumeContent?: boolean): number[];
export declare function MultiHighlightDecorator(config: MultiHighlightConfig): any;
